---
title: ':state()'
slug: 'Web/CSS/:state'
tags:
  - ':state'
  - CSS
  - Draft
  - Experimental
  - NeedsBrowserCompatibility
  - NeedsExample
  - Pseudo-class
  - Reference
  - Selector
---
<p>{{CSSRef}}{{Draft}}{{SeeCompatTable}}</p>

<p>The <strong><code>:state</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> represents any <a href="/en-US/docs/Web/Web_Components/Using_custom_elements">custom element</a> with the specified custom state in {{DOMxRef("ElementInternals.states")}}.</p>

<pre class="brush: css no-line-numbers notranslate">custom-element:state(foo) {
  /* Styles to apply when `custom-element` is in the `foo` state */
}
</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<p>Fill in a simple example that nicely shows a typical usage of the selector, then perhaps some more complex examples (see our guide on how to add <a href="/en-US/docs/MDN/Contribute/Structures/Code_examples">code examples</a> for more information).</p>

<pre class="brush: css; notranslate">my code block</pre>

<p>And/or include a list of links to useful code samples that live elsewhere:</p>

<ul>
 <li>x</li>
 <li>y</li>
 <li>z</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Custom State", "#selectordef-state", 'The <code>:state()</code> selector')}}</td>
   <td>{{Spec2("CSS Custom State")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.state")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{DOMxRef("ElementInternals.states")}} property - {{DOMxRef("DOMTokenList")}} used to configure which custom states a custom element is in.</li>
</ul>
